Retrieve a Request
Fetch a single Request. Requests outside the API key owner’s request visibility return a 404.
curl --request GET \
--url https://api.siit.io/v1/requests/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/requests/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/requests/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/requests/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/requests/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/requests/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/requests/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"assignee_admin": "<string>",
"assignee_admin_uid": "<string>",
"assignee_inbox": "<string>",
"assignee_inbox_uid": "<string>",
"associated_apps": [
"<string>"
],
"associated_equipments": [
"<string>"
],
"approvals": [
"<string>"
],
"attachments": [
{
"filename": "<string>",
"url": "<string>"
}
],
"author": "<string>",
"author_uid": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "<string>",
"completed_by_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"custom_form_inputs": [
{
"kind": "attachment",
"label": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"description_markdown": "<string>",
"follower_uids": [
"<string>"
],
"followers": [
"<string>"
],
"friendly_id": "<string>",
"mode": "private",
"priority": "medium",
"requested_by": "<string>",
"requested_by_uid": "<string>",
"requests_group_uid": "<string>",
"satisfaction_survey_rating": "great",
"slack_channel_id": "<string>",
"slack_direct_link": "<string>",
"slack_thread_ts": "<string>",
"slack_ts": "<string>",
"sla_data": {
"first_replied_at": "2023-11-07T05:31:56Z",
"first_completed_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"first_reply_due_at": "2023-11-07T05:31:56Z",
"first_reply_status": "breached",
"first_completion_due_at": "2023-11-07T05:31:56Z",
"first_completion_status": "breached"
},
"snoozed_until": "2023-11-07T05:31:56Z",
"status": "open",
"submitted_from": "slack",
"tag_uids": [
"<string>"
],
"tags": [
"<string>"
],
"target": "<string>",
"target_uid": "<string>",
"title": "<string>",
"title_markdown": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID (or friendly_id) of the request
Response
Request show
The UID of the Request
The link to the request in Siit admin dashboard
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
The admin user assigned to this request. Pass ?expand[]=field_name for full object.
DEPRECATED: Use assignee_admin instead. The UID of assigned User.
The team inbox assigned to this request. Pass ?expand[]=field_name for full object.
DEPRECATED: Use assignee_inbox instead. The UID of assigned Team inbox.
Apps associated with this request. Pass ?expand[]=field_name for full objects.
Equipment associated with this request. Pass ?expand[]=field_name for full objects.
Approvals attached to this request. Pass ?expand[]=field_name for full objects.
Array containing the request attachments
Show child attributes
Show child attributes
The author of the request. Can be a User, Workflow, or Agent. Pass ?expand[]=field_name for full object.
DEPRECATED: Use author instead. The UID of the author.
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
The user who completed this request. Pass ?expand[]=field_name for full object.
DEPRECATED: Use completed_by instead. The UID of the user that completed this request.
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
Custom forms attached to this request
Show child attributes
Show child attributes
DEPRECATED: Use description_markdown instead. The description of the Request
The description of the Request, rendered as markdown
DEPRECATED: Use followers instead. Array containing the followers UIDs.
Users following this request. Pass ?expand[]=field_name for full objects.
A friendly ID (REQ-xx) where xx is a sequential number
Will be "public" only for Slack public threads (for now)
private, public "private"
low, medium, high, urgent "medium"
The user who requested this ticket. Pass ?expand[]=field_name for full object.
DEPRECATED: Use requested_by instead. The UID of the requester.
The UID of the Request group this Request belongs to
The satisfaction survey rating given by the requester (bad: 🙁, medium: 😐, good: 😃, great: 🤩)
bad, medium, good, great "great"
ID of the channel where the request was created
Slack message permalink
Slack thread timestamp
Slack timestamp
A Hash containing SLA data (only sent when Company has access to the feature)
Show child attributes
Show child attributes
Until when the request is snoozed, formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
Request status
open, in_progress, waiting, resolved, archived Describes how the request was submitted
employee_portal, slack, mail, ms_teams, admin_dashboard, workflow, internal, public_api, external "slack"
DEPRECATED: Use tags instead. Array containing the Request Tags UIDs.
Tags associated with this request. Pass ?expand[]=field_name for full objects.
Service associated with this request. Pass ?expand[]=field_name for full object.
DEPRECATED: Use target instead. The UID of the associated Service.
DEPRECATED: Use title_markdown instead. The title of the Request
The title of the Request, rendered as markdown
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
curl --request GET \
--url https://api.siit.io/v1/requests/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/requests/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/requests/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/requests/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/requests/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/requests/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/requests/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"assignee_admin": "<string>",
"assignee_admin_uid": "<string>",
"assignee_inbox": "<string>",
"assignee_inbox_uid": "<string>",
"associated_apps": [
"<string>"
],
"associated_equipments": [
"<string>"
],
"approvals": [
"<string>"
],
"attachments": [
{
"filename": "<string>",
"url": "<string>"
}
],
"author": "<string>",
"author_uid": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "<string>",
"completed_by_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"custom_form_inputs": [
{
"kind": "attachment",
"label": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"description_markdown": "<string>",
"follower_uids": [
"<string>"
],
"followers": [
"<string>"
],
"friendly_id": "<string>",
"mode": "private",
"priority": "medium",
"requested_by": "<string>",
"requested_by_uid": "<string>",
"requests_group_uid": "<string>",
"satisfaction_survey_rating": "great",
"slack_channel_id": "<string>",
"slack_direct_link": "<string>",
"slack_thread_ts": "<string>",
"slack_ts": "<string>",
"sla_data": {
"first_replied_at": "2023-11-07T05:31:56Z",
"first_completed_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"first_reply_due_at": "2023-11-07T05:31:56Z",
"first_reply_status": "breached",
"first_completion_due_at": "2023-11-07T05:31:56Z",
"first_completion_status": "breached"
},
"snoozed_until": "2023-11-07T05:31:56Z",
"status": "open",
"submitted_from": "slack",
"tag_uids": [
"<string>"
],
"tags": [
"<string>"
],
"target": "<string>",
"target_uid": "<string>",
"title": "<string>",
"title_markdown": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}
